Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class Attribute

    java.lang.Object
      |
      +--org.bouncycastle.asn1.cms.Attribute

All Implemented Interfaces:
  DEREncodable

Direct Known Subclasses:
  SMIMECapabilitiesAttribute, SMIMEEncryptionKeyPreferenceAttribute

public class Attribute
extends java.lang.Object
implements DEREncodable

Constructor Summary
`Attribute(ASN1Sequence seq)`
`Attribute(DERObjectIdentifier attrType, ASN1Set attrValues)`

Method Summary
`DERObjectIdentifier` | `getAttrType()`
`ASN1Set` | `getAttrValues()`
`DERObject` | `getDERObject()` Produce an object suitable for an ASN1OutputStream.
`static Attribute` | `getInstance(java.lang.Object o)` return an Attribute object from the given object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Attribute

    public Attribute(ASN1Sequence seq)

### Attribute

    public Attribute(DERObjectIdentifier attrType,
                     ASN1Set attrValues)

Method Detail

### getInstance

    public static Attribute getInstance(java.lang.Object o)

  return an Attribute object from the given object.

  Parameters:
    `o` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getAttrType

    public DERObjectIdentifier getAttrType()

### getAttrValues

    public ASN1Set getAttrValues()

### getDERObject

    public DERObject getDERObject()

  Produce an object suitable for an ASN1OutputStream.

       Attribute ::= SEQUENCE {
       	attrType OBJECT IDENTIFIER,
       	attrValues SET OF AttributeValue
       }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD